import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { NgForm } from '@angular/forms';
import { ReportsService } from '../reports.service';
import { DatePipe } from '@angular/common';
import * as i0 from "@angular/core";
export declare class ReportDetailsComponent implements OnInit, OnDestroy {
    private reportService;
    private datepipe;
    reportDetails: any;
    $subs: Subscription[];
    reportId: number;
    breakpoint: number;
    executeForm: NgForm;
    loadReportDetailFilters: string;
    onExecuteFired: EventEmitter<any>;
    constructor(reportService: ReportsService, datepipe: DatePipe);
    ngOnInit(): void;
    onResize(event: any): void;
    loadReportFilters(): void;
    ngOnDestroy(): void;
    validateAndConvertData(): boolean;
    execute(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReportDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ReportDetailsComponent, "lib-report-details", never, { "reportId": "reportId"; "loadReportDetailFilters": "loadReportDetailFilters"; }, { "onExecuteFired": "onExecuteFired"; }, never, never>;
}
